Bug 195193 - [PATCH] www/p5-FCGI upgrade to 0.77
Summary: [PATCH] www/p5-FCGI upgrade to 0.77
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-perl (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-19 23:38 UTC by geoffroy desvernay
Modified: 2015-02-08 18:55 UTC (History)
1 user (show)

See Also:
dgeo: maintainer-feedback? (perl)


Attachments
Upgrade and workaround to use www/fcgi (1.56 KB, patch)
2014-11-19 23:38 UTC, geoffroy desvernay
no flags Details | Diff
+ corrected plist (2.05 KB, patch)
2014-11-21 08:25 UTC, geoffroy desvernay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2014-11-19 23:38:05 UTC
Created attachment 149613 [details]
Upgrade and workaround to use www/fcgi

Upstream upgrade to 0.77

I removed PURE_PERL option as it was removed in 0.75
http://cpansearch.perl.org/src/ETHER/FCGI-0.77/ChangeLog

also included 
CFLAGS+= -I${PREFIX}/include
to workaround a failure to build against port's libfcgi.so because ports system's invocation of Makefile.PL ends with 'INC=/usr/local/include/include' in Makefile, then cc -I/usr/local/include/include logically fails looking for fcgi_config.h.

Problem may reside in port system as it compiles OK with vanilia sources, and perl Makefile.PL --use-installed=/usr/local

HTH
Comment 1 Bugzilla Automation freebsd_committer 2014-11-19 23:38:05 UTC
Auto-assigned to maintainer perl@FreeBSD.org
Comment 2 geoffroy desvernay 2014-11-21 08:25:08 UTC
Created attachment 149662 [details]
+ corrected plist

I forgot plist change…
Comment 3 commit-hook freebsd_committer 2015-02-08 18:54:27 UTC
A commit references this bug:

Author: adamw
Date: Sun Feb  8 18:53:59 UTC 2015
New revision: 378671
URL: https://svnweb.freebsd.org/changeset/ports/378671

Log:
  Update to 0.77.

  PP support was dropped, so remove the PP option.

  Changes: https://metacpan.org/changes/distribution/FCGI

  PR:		195193
  Submitted by:	Geoffroy Desvernay

Changes:
  head/www/p5-FCGI/Makefile
  head/www/p5-FCGI/distinfo
  head/www/p5-FCGI/pkg-plist
Comment 4 Adam Weinberger freebsd_committer 2015-02-08 18:55:46 UTC
Hi Geoffroy, I've committed this patch. Thanks for the submission and sorry for the long delay.

I did not include your work on building this port against www/fcgi, as it builds and runs just fine on its own. If there is a reason to compile against www/fcgi instead that I am not seeing, please let me know!